import { IRuntimeValidationProvider, ValidationIssue } from "../../Common/IDesignValidationProvider";
import { UserFormData } from "../UserFormData";
import { XBaseControl } from "../Controls/XBaseControl";
import { ControlRenderContext } from "./ControlRenderContext";
import { FormContext } from "./FormContext";
export declare class RuntimeContext {
    context: FormContext;
    runtimeValidationProvider?: IRuntimeValidationProvider;
    _hideControls: string[];
    _disabledControls: string[];
    data: UserFormData;
    constructor(formContext: FormContext);
    get hideControls(): string[];
    set hideControls(hideControlIds: string[]);
    get disabledControls(): string[];
    set disabledControls(disabledControlIds: string[]);
    computeRuntimeValidations(fieldName?: string): ValidationIssue[];
    getControlContext(control: XBaseControl): ControlRenderContext;
    setFormDataValue(fieldName: string, value: any): void;
    getFormDataValue(fieldName: string): any;
    setFormData(data: UserFormData): void;
    getFormData(): UserFormData;
}
